
%global meadversion 1.6.2
%global namedversion 1.6.2.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package smallrye-config}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.6.2.redhat-00004

Name:           %{?scl_prefix}smallrye-config
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SmallRye: MicroProfile Config
Group:          Development/Java

%if %with mead
Source100: smallrye-config-parent-1.6.2.redhat-00004-project-sources.tar.gz
Source102: smallrye-config-source-injection-1.6.2.redhat-00004.pom
Source103: smallrye-config-test-extra-1.6.2.redhat-00004.pom
Source104: smallrye-config-common-1.6.2.redhat-00004.jar
Source105: smallrye-config-events-1.6.2.redhat-00004.jar
Source106: smallrye-config-common-1.6.2.redhat-00004-sources.jar
Source107: smallrye-config-release-1.6.2.redhat-00004.pom
Source108: smallrye-config-source-file-system-1.6.2.redhat-00004-sources.jar
Source109: smallrye-config-1.6.2.redhat-00004.jar
Source110: smallrye-config-1.6.2.redhat-00004-sources.jar
Source111: smallrye-config-converter-json-1.6.2.redhat-00004.pom
Source112: smallrye-config-source-hocon-1.6.2.redhat-00004.pom
Source113: smallrye-config-converter-json-1.6.2.redhat-00004.jar
Source114: smallrye-config-common-1.6.2.redhat-00004.pom
Source115: smallrye-config-source-file-system-1.6.2.redhat-00004.pom
Source116: smallrye-config-testsuite-1.6.2.redhat-00004.pom
Source117: smallrye-config-source-zookeeper-1.6.2.redhat-00004-sources.jar
Source118: smallrye-config-test-extra-1.6.2.redhat-00004.jar
Source119: smallrye-config-source-injection-1.6.2.redhat-00004.jar
Source120: smallrye-config-source-hocon-1.6.2.redhat-00004.jar
Source121: smallrye-config-events-1.6.2.redhat-00004-sources.jar
Source122: smallrye-config-source-yaml-1.6.2.redhat-00004.jar
Source123: smallrye-config-tck-1.6.2.redhat-00004.pom
Source124: smallrye-config-source-injection-1.6.2.redhat-00004-sources.jar
Source125: smallrye-config-tck-1.6.2.redhat-00004.jar
Source126: smallrye-config-source-yaml-1.6.2.redhat-00004-sources.jar
Source127: smallrye-config-1.6.2.redhat-00004.pom
Source128: smallrye-config-converter-json-1.6.2.redhat-00004-sources.jar
Source129: smallrye-config-parent-1.6.2.redhat-00004.pom
Source130: smallrye-config-events-1.6.2.redhat-00004.pom
Source131: smallrye-config-source-file-system-1.6.2.redhat-00004.jar
Source132: smallrye-config-source-yaml-1.6.2.redhat-00004.pom
Source133: smallrye-config-source-zookeeper-1.6.2.redhat-00004.pom
Source134: smallrye-config-source-zookeeper-1.6.2.redhat-00004.jar
Source135: smallrye-config-source-hocon-1.6.2.redhat-00004-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/smallrye/smallrye-config/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
SmallRye Config is an implementation of Eclipse MicroProfile Config.

%if %with javadoc
%package javadoc
Summary:        Javadoc for smallrye-config
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%if 0
%package -n %{?scl_prefix}smallrye-config-docs
Summary:        SmallRye: MicroProfile Config Documentation
Group:          Development/Java

%description -n %{?scl_prefix}smallrye-config-docs
%{summary}.

%package -n %{?scl_prefix}smallrye-config-tck
Summary:        SmallRye: MicroProfile Config TCK
Group:          Development/Java

%description -n %{?scl_prefix}smallrye-config-tck
%{summary}.

%package -n %{?scl_prefix}smallrye-config-test-extra
Summary:        SmallRye: MicroProfile Config Test Suite - Extra
Group:          Development/Java

%description -n %{?scl_prefix}smallrye-config-test-extra
%{summary}.

%package -n %{?scl_prefix}smallrye-config-sources-zookeeper
Summary:        SmallRye: ZooKeeper ConfigSource
Group:          Development/Java

%description -n %{?scl_prefix}smallrye-config-sources-zookeeper
%{summary}.
%endif


%prep
%setup -q -n smallrye-config-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/smallrye-config-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-config-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smallrye-config-common-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-common-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-config-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-config-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smallrye-config-source-file-system-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-source-file-system-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-config-source-file-system-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-config-source-file-system-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/smallrye-config-docs-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-docs-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-config-tck-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-tck-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-config-test-extra-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-config-test-extra-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/zookeeper-config-source-%{namedversion}.jar %{buildroot}%{_javadir}/zookeeper-config-source-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/zookeeper-config-source-%{namedversion}-sources.jar %{buildroot}%{_javadir}/zookeeper-config-source-%{namedversion}-sources.jar
%endif


%if %with javadoc
%{__cp} -p %{_sourcedir}/smallrye-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/smallrye-config-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/smallrye-config-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/smallrye-config-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/smallrye-config-%{namedversion} -x META-INF/\*
%{__ln_s} smallrye-config-%{namedversion} %{buildroot}%{_javadocdir}/smallrye-config
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.adoc
%{_javadir}/smallrye-config.jar
%{_javadir}/smallrye-config-%{namedversion}.jar
%{_javadir}/smallrye-config-sources.jar
%{_javadir}/smallrye-config-%{namedversion}-sources.jar
%{_javadir}/smallrye-config-common.jar
%{_javadir}/smallrye-config-common-%{namedversion}.jar
%{_javadir}/smallrye-config-common-sources.jar
%{_javadir}/smallrye-config-common-%{namedversion}-sources.jar
%{_javadir}/smallrye-config-source-file-system.jar
%{_javadir}/smallrye-config-source-file-system-%{namedversion}.jar
%{_javadir}/smallrye-config-source-file-system-sources.jar
%{_javadir}/smallrye-config-source-file-system-%{namedversion}-sources.jar

%if 0
%files -n %{?scl_prefix}smallrye-config-docs
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-config-docs.jar
%{_javadir}/smallrye-config-docs-%{namedversion}.jar

%files -n %{?scl_prefix}smallrye-config-tck
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-config-tck.jar
%{_javadir}/smallrye-config-tck-%{namedversion}.jar

%files -n %{?scl_prefix}smallrye-config-test-extra
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-config-test-extra.jar
%{_javadir}/smallrye-config-test-extra-%{namedversion}.jar

%files -n %{?scl_prefix}smallrye-config-sources-zookeeper
%defattr(0644,root,root,0755)
%{_javadir}/zookeeper-config-source.jar
%{_javadir}/zookeeper-config-source-%{namedversion}.jar
%{_javadir}/zookeeper-config-source-sources.jar
%{_javadir}/zookeeper-config-source-%{namedversion}-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/smallrye-config-%{namedversion}
%{_javadocdir}/smallrye-config
%endif

%changelog
* Tue May 05 2020 Permaine Cheung <pcheung@redhat.com> - 1.6.2-3.redhat_00004.1
- Add smallrye-config-common jar

* Tue May 05 2020 Permaine Cheung <pcheung@redhat.com> - 1.6.2-2.redhat_00004.1
- Add smallrye-config-source-file-system jar

* Fri Apr 24 2020 Permaine Cheung <pcheung@redhat.com> - 1.6.2-1.redhat_00004.1
- 1.6.2.redhat-00004

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.6-1.redhat_00001.1
- 1.3.6.redhat-00001

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.6-1.redhat_00001.1
- 1.3.6.redhat-00001

* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.6-1.redhat_00001.1
- 1.3.6.redhat-00001

* Tue Nov 06 2018 Permaine Cheung <pcheung@redhat.com> - 1.3.4-1.redhat_00001.1
- 1.3.4.redhat-00001

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 1.3.3-3.redhat_00001.1
- Use original jarname and move main jar back into mian package

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 1.3.3-2.redhat_00001.1
- Fix Requires

* Wed Sep 05 2018 Yong Yang <yyang@redhat.com> - 1.3.3-1.redhat_00001.1
-  1.3.3.redhat-00001 

* Wed Sep 05 2018 Yong Yang <yyang@redhat.com> - 1.3.3-1.redhat_00001.1
-  1.3.3.redhat-00001 

* Wed Sep 05 2018 Yong Yang <yyang@redhat.com> - 1.3.3-1.redhat_00001.1
-  1.3.3.redhat-00001 

* Wed Sep 05 2018 Yong Yang <yyang@redhat.com> - 1.3.3
- Init build
